# This file was created automatically by SWIG.
# Don't modify this file, modify the SWIG interface instead.
# This file is compatible with both classic and new-style classes.

import _client

def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "this"):
        if isinstance(value, class_type):
            self.__dict__[name] = value.this
            if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
            del value.thisown
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name) or (name == "thisown"):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


import delta
import wc

svn_client_version = _client.svn_client_version

svn_client_get_simple_prompt_provider = _client.svn_client_get_simple_prompt_provider

svn_client_get_username_prompt_provider = _client.svn_client_get_username_prompt_provider

svn_client_get_simple_provider = _client.svn_client_get_simple_provider

svn_client_get_username_provider = _client.svn_client_get_username_provider

svn_client_get_ssl_server_trust_file_provider = _client.svn_client_get_ssl_server_trust_file_provider

svn_client_get_ssl_client_cert_file_provider = _client.svn_client_get_ssl_client_cert_file_provider

svn_client_get_ssl_client_cert_pw_file_provider = _client.svn_client_get_ssl_client_cert_pw_file_provider

svn_client_get_ssl_server_trust_prompt_provider = _client.svn_client_get_ssl_server_trust_prompt_provider

svn_client_get_ssl_client_cert_prompt_provider = _client.svn_client_get_ssl_client_cert_prompt_provider

svn_client_get_ssl_client_cert_pw_prompt_provider = _client.svn_client_get_ssl_client_cert_pw_prompt_provider
class svn_client_commit_info_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_client_commit_info_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_client_commit_info_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_client_commit_info_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["revision"] = _client.svn_client_commit_info_t_revision_set
    __swig_getmethods__["revision"] = _client.svn_client_commit_info_t_revision_get
    if _newclass:revision = property(_client.svn_client_commit_info_t_revision_get, _client.svn_client_commit_info_t_revision_set)
    __swig_setmethods__["date"] = _client.svn_client_commit_info_t_date_set
    __swig_getmethods__["date"] = _client.svn_client_commit_info_t_date_get
    if _newclass:date = property(_client.svn_client_commit_info_t_date_get, _client.svn_client_commit_info_t_date_set)
    __swig_setmethods__["author"] = _client.svn_client_commit_info_t_author_set
    __swig_getmethods__["author"] = _client.svn_client_commit_info_t_author_get
    if _newclass:author = property(_client.svn_client_commit_info_t_author_get, _client.svn_client_commit_info_t_author_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_client_commit_info_t, 'this', _client.new_svn_client_commit_info_t(*args))
        _swig_setattr(self, svn_client_commit_info_t, 'thisown', 1)
    def __del__(self, destroy=_client.delete_svn_client_commit_info_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_client_commit_info_tPtr(svn_client_commit_info_t):
    def __init__(self, this):
        _swig_setattr(self, svn_client_commit_info_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_client_commit_info_t, 'thisown', 0)
        _swig_setattr(self, svn_client_commit_info_t,self.__class__,svn_client_commit_info_t)
_client.svn_client_commit_info_t_swigregister(svn_client_commit_info_tPtr)

SVN_CLIENT_COMMIT_ITEM_ADD = _client.SVN_CLIENT_COMMIT_ITEM_ADD
SVN_CLIENT_COMMIT_ITEM_DELETE = _client.SVN_CLIENT_COMMIT_ITEM_DELETE
SVN_CLIENT_COMMIT_ITEM_TEXT_MODS = _client.SVN_CLIENT_COMMIT_ITEM_TEXT_MODS
SVN_CLIENT_COMMIT_ITEM_PROP_MODS = _client.SVN_CLIENT_COMMIT_ITEM_PROP_MODS
SVN_CLIENT_COMMIT_ITEM_IS_COPY = _client.SVN_CLIENT_COMMIT_ITEM_IS_COPY
SVN_CLIENT_COMMIT_ITEM_LOCK_TOKEN = _client.SVN_CLIENT_COMMIT_ITEM_LOCK_TOKEN
class svn_client_commit_item_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_client_commit_item_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_client_commit_item_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_client_commit_item_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["path"] = _client.svn_client_commit_item_t_path_set
    __swig_getmethods__["path"] = _client.svn_client_commit_item_t_path_get
    if _newclass:path = property(_client.svn_client_commit_item_t_path_get, _client.svn_client_commit_item_t_path_set)
    __swig_setmethods__["kind"] = _client.svn_client_commit_item_t_kind_set
    __swig_getmethods__["kind"] = _client.svn_client_commit_item_t_kind_get
    if _newclass:kind = property(_client.svn_client_commit_item_t_kind_get, _client.svn_client_commit_item_t_kind_set)
    __swig_setmethods__["url"] = _client.svn_client_commit_item_t_url_set
    __swig_getmethods__["url"] = _client.svn_client_commit_item_t_url_get
    if _newclass:url = property(_client.svn_client_commit_item_t_url_get, _client.svn_client_commit_item_t_url_set)
    __swig_setmethods__["revision"] = _client.svn_client_commit_item_t_revision_set
    __swig_getmethods__["revision"] = _client.svn_client_commit_item_t_revision_get
    if _newclass:revision = property(_client.svn_client_commit_item_t_revision_get, _client.svn_client_commit_item_t_revision_set)
    __swig_setmethods__["copyfrom_url"] = _client.svn_client_commit_item_t_copyfrom_url_set
    __swig_getmethods__["copyfrom_url"] = _client.svn_client_commit_item_t_copyfrom_url_get
    if _newclass:copyfrom_url = property(_client.svn_client_commit_item_t_copyfrom_url_get, _client.svn_client_commit_item_t_copyfrom_url_set)
    __swig_setmethods__["state_flags"] = _client.svn_client_commit_item_t_state_flags_set
    __swig_getmethods__["state_flags"] = _client.svn_client_commit_item_t_state_flags_get
    if _newclass:state_flags = property(_client.svn_client_commit_item_t_state_flags_get, _client.svn_client_commit_item_t_state_flags_set)
    __swig_setmethods__["wcprop_changes"] = _client.svn_client_commit_item_t_wcprop_changes_set
    __swig_getmethods__["wcprop_changes"] = _client.svn_client_commit_item_t_wcprop_changes_get
    if _newclass:wcprop_changes = property(_client.svn_client_commit_item_t_wcprop_changes_get, _client.svn_client_commit_item_t_wcprop_changes_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_client_commit_item_t, 'this', _client.new_svn_client_commit_item_t(*args))
        _swig_setattr(self, svn_client_commit_item_t, 'thisown', 1)
    def __del__(self, destroy=_client.delete_svn_client_commit_item_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_client_commit_item_tPtr(svn_client_commit_item_t):
    def __init__(self, this):
        _swig_setattr(self, svn_client_commit_item_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_client_commit_item_t, 'thisown', 0)
        _swig_setattr(self, svn_client_commit_item_t,self.__class__,svn_client_commit_item_t)
_client.svn_client_commit_item_t_swigregister(svn_client_commit_item_tPtr)

class svn_client_ctx_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_client_ctx_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_client_ctx_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_client_ctx_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["auth_baton"] = _client.svn_client_ctx_t_auth_baton_set
    __swig_getmethods__["auth_baton"] = _client.svn_client_ctx_t_auth_baton_get
    if _newclass:auth_baton = property(_client.svn_client_ctx_t_auth_baton_get, _client.svn_client_ctx_t_auth_baton_set)
    __swig_setmethods__["notify_func"] = _client.svn_client_ctx_t_notify_func_set
    __swig_getmethods__["notify_func"] = _client.svn_client_ctx_t_notify_func_get
    if _newclass:notify_func = property(_client.svn_client_ctx_t_notify_func_get, _client.svn_client_ctx_t_notify_func_set)
    __swig_setmethods__["notify_baton"] = _client.svn_client_ctx_t_notify_baton_set
    __swig_getmethods__["notify_baton"] = _client.svn_client_ctx_t_notify_baton_get
    if _newclass:notify_baton = property(_client.svn_client_ctx_t_notify_baton_get, _client.svn_client_ctx_t_notify_baton_set)
    __swig_setmethods__["log_msg_func"] = _client.svn_client_ctx_t_log_msg_func_set
    __swig_getmethods__["log_msg_func"] = _client.svn_client_ctx_t_log_msg_func_get
    if _newclass:log_msg_func = property(_client.svn_client_ctx_t_log_msg_func_get, _client.svn_client_ctx_t_log_msg_func_set)
    __swig_setmethods__["log_msg_baton"] = _client.svn_client_ctx_t_log_msg_baton_set
    __swig_getmethods__["log_msg_baton"] = _client.svn_client_ctx_t_log_msg_baton_get
    if _newclass:log_msg_baton = property(_client.svn_client_ctx_t_log_msg_baton_get, _client.svn_client_ctx_t_log_msg_baton_set)
    __swig_setmethods__["config"] = _client.svn_client_ctx_t_config_set
    __swig_getmethods__["config"] = _client.svn_client_ctx_t_config_get
    if _newclass:config = property(_client.svn_client_ctx_t_config_get, _client.svn_client_ctx_t_config_set)
    __swig_setmethods__["cancel_func"] = _client.svn_client_ctx_t_cancel_func_set
    __swig_getmethods__["cancel_func"] = _client.svn_client_ctx_t_cancel_func_get
    if _newclass:cancel_func = property(_client.svn_client_ctx_t_cancel_func_get, _client.svn_client_ctx_t_cancel_func_set)
    __swig_setmethods__["cancel_baton"] = _client.svn_client_ctx_t_cancel_baton_set
    __swig_getmethods__["cancel_baton"] = _client.svn_client_ctx_t_cancel_baton_get
    if _newclass:cancel_baton = property(_client.svn_client_ctx_t_cancel_baton_get, _client.svn_client_ctx_t_cancel_baton_set)
    __swig_setmethods__["notify_func2"] = _client.svn_client_ctx_t_notify_func2_set
    __swig_getmethods__["notify_func2"] = _client.svn_client_ctx_t_notify_func2_get
    if _newclass:notify_func2 = property(_client.svn_client_ctx_t_notify_func2_get, _client.svn_client_ctx_t_notify_func2_set)
    __swig_setmethods__["notify_baton2"] = _client.svn_client_ctx_t_notify_baton2_set
    __swig_getmethods__["notify_baton2"] = _client.svn_client_ctx_t_notify_baton2_get
    if _newclass:notify_baton2 = property(_client.svn_client_ctx_t_notify_baton2_get, _client.svn_client_ctx_t_notify_baton2_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_client_ctx_t, 'this', _client.new_svn_client_ctx_t(*args))
        _swig_setattr(self, svn_client_ctx_t, 'thisown', 1)
    def __del__(self, destroy=_client.delete_svn_client_ctx_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_client_ctx_tPtr(svn_client_ctx_t):
    def __init__(self, this):
        _swig_setattr(self, svn_client_ctx_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_client_ctx_t, 'thisown', 0)
        _swig_setattr(self, svn_client_ctx_t,self.__class__,svn_client_ctx_t)
_client.svn_client_ctx_t_swigregister(svn_client_ctx_tPtr)

SVN_CLIENT_AUTH_USERNAME = _client.SVN_CLIENT_AUTH_USERNAME
SVN_CLIENT_AUTH_PASSWORD = _client.SVN_CLIENT_AUTH_PASSWORD

svn_client_create_context = _client.svn_client_create_context

svn_client_checkout2 = _client.svn_client_checkout2

svn_client_checkout = _client.svn_client_checkout

svn_client_update2 = _client.svn_client_update2

svn_client_update = _client.svn_client_update

svn_client_switch = _client.svn_client_switch

svn_client_add2 = _client.svn_client_add2

svn_client_add = _client.svn_client_add

svn_client_mkdir = _client.svn_client_mkdir

svn_client_delete = _client.svn_client_delete

svn_client_import = _client.svn_client_import

svn_client_commit2 = _client.svn_client_commit2

svn_client_commit = _client.svn_client_commit

svn_client_status2 = _client.svn_client_status2

svn_client_status = _client.svn_client_status

svn_client_log2 = _client.svn_client_log2

svn_client_log = _client.svn_client_log

svn_client_blame2 = _client.svn_client_blame2

svn_client_blame = _client.svn_client_blame

svn_client_diff2 = _client.svn_client_diff2

svn_client_diff = _client.svn_client_diff

svn_client_diff_peg2 = _client.svn_client_diff_peg2

svn_client_diff_peg = _client.svn_client_diff_peg

svn_client_merge = _client.svn_client_merge

svn_client_merge_peg = _client.svn_client_merge_peg

svn_client_cleanup = _client.svn_client_cleanup

svn_client_relocate = _client.svn_client_relocate

svn_client_revert = _client.svn_client_revert

svn_client_resolved = _client.svn_client_resolved

svn_client_copy = _client.svn_client_copy

svn_client_move2 = _client.svn_client_move2

svn_client_move = _client.svn_client_move

svn_client_propset2 = _client.svn_client_propset2

svn_client_propset = _client.svn_client_propset

svn_client_revprop_set = _client.svn_client_revprop_set

svn_client_propget2 = _client.svn_client_propget2

svn_client_propget = _client.svn_client_propget

svn_client_revprop_get = _client.svn_client_revprop_get

svn_client_proplist2 = _client.svn_client_proplist2

svn_client_proplist = _client.svn_client_proplist

svn_client_revprop_list = _client.svn_client_revprop_list

svn_client_export3 = _client.svn_client_export3

svn_client_export2 = _client.svn_client_export2

svn_client_export = _client.svn_client_export

svn_client_ls2 = _client.svn_client_ls2

svn_client_ls = _client.svn_client_ls

svn_client_cat2 = _client.svn_client_cat2

svn_client_cat = _client.svn_client_cat

svn_client_lock = _client.svn_client_lock

svn_client_unlock = _client.svn_client_unlock
class svn_info_t(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, svn_info_t, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, svn_info_t, name)
    def __repr__(self):
        return "<%s.%s; proxy of C svn_info_t instance at %s>" % (self.__class__.__module__, self.__class__.__name__, self.this,)
    __swig_setmethods__["URL"] = _client.svn_info_t_URL_set
    __swig_getmethods__["URL"] = _client.svn_info_t_URL_get
    if _newclass:URL = property(_client.svn_info_t_URL_get, _client.svn_info_t_URL_set)
    __swig_setmethods__["rev"] = _client.svn_info_t_rev_set
    __swig_getmethods__["rev"] = _client.svn_info_t_rev_get
    if _newclass:rev = property(_client.svn_info_t_rev_get, _client.svn_info_t_rev_set)
    __swig_setmethods__["kind"] = _client.svn_info_t_kind_set
    __swig_getmethods__["kind"] = _client.svn_info_t_kind_get
    if _newclass:kind = property(_client.svn_info_t_kind_get, _client.svn_info_t_kind_set)
    __swig_setmethods__["repos_root_URL"] = _client.svn_info_t_repos_root_URL_set
    __swig_getmethods__["repos_root_URL"] = _client.svn_info_t_repos_root_URL_get
    if _newclass:repos_root_URL = property(_client.svn_info_t_repos_root_URL_get, _client.svn_info_t_repos_root_URL_set)
    __swig_setmethods__["repos_UUID"] = _client.svn_info_t_repos_UUID_set
    __swig_getmethods__["repos_UUID"] = _client.svn_info_t_repos_UUID_get
    if _newclass:repos_UUID = property(_client.svn_info_t_repos_UUID_get, _client.svn_info_t_repos_UUID_set)
    __swig_setmethods__["last_changed_rev"] = _client.svn_info_t_last_changed_rev_set
    __swig_getmethods__["last_changed_rev"] = _client.svn_info_t_last_changed_rev_get
    if _newclass:last_changed_rev = property(_client.svn_info_t_last_changed_rev_get, _client.svn_info_t_last_changed_rev_set)
    __swig_setmethods__["last_changed_date"] = _client.svn_info_t_last_changed_date_set
    __swig_getmethods__["last_changed_date"] = _client.svn_info_t_last_changed_date_get
    if _newclass:last_changed_date = property(_client.svn_info_t_last_changed_date_get, _client.svn_info_t_last_changed_date_set)
    __swig_setmethods__["last_changed_author"] = _client.svn_info_t_last_changed_author_set
    __swig_getmethods__["last_changed_author"] = _client.svn_info_t_last_changed_author_get
    if _newclass:last_changed_author = property(_client.svn_info_t_last_changed_author_get, _client.svn_info_t_last_changed_author_set)
    __swig_setmethods__["lock"] = _client.svn_info_t_lock_set
    __swig_getmethods__["lock"] = _client.svn_info_t_lock_get
    if _newclass:lock = property(_client.svn_info_t_lock_get, _client.svn_info_t_lock_set)
    __swig_setmethods__["has_wc_info"] = _client.svn_info_t_has_wc_info_set
    __swig_getmethods__["has_wc_info"] = _client.svn_info_t_has_wc_info_get
    if _newclass:has_wc_info = property(_client.svn_info_t_has_wc_info_get, _client.svn_info_t_has_wc_info_set)
    __swig_setmethods__["schedule"] = _client.svn_info_t_schedule_set
    __swig_getmethods__["schedule"] = _client.svn_info_t_schedule_get
    if _newclass:schedule = property(_client.svn_info_t_schedule_get, _client.svn_info_t_schedule_set)
    __swig_setmethods__["copyfrom_url"] = _client.svn_info_t_copyfrom_url_set
    __swig_getmethods__["copyfrom_url"] = _client.svn_info_t_copyfrom_url_get
    if _newclass:copyfrom_url = property(_client.svn_info_t_copyfrom_url_get, _client.svn_info_t_copyfrom_url_set)
    __swig_setmethods__["copyfrom_rev"] = _client.svn_info_t_copyfrom_rev_set
    __swig_getmethods__["copyfrom_rev"] = _client.svn_info_t_copyfrom_rev_get
    if _newclass:copyfrom_rev = property(_client.svn_info_t_copyfrom_rev_get, _client.svn_info_t_copyfrom_rev_set)
    __swig_setmethods__["text_time"] = _client.svn_info_t_text_time_set
    __swig_getmethods__["text_time"] = _client.svn_info_t_text_time_get
    if _newclass:text_time = property(_client.svn_info_t_text_time_get, _client.svn_info_t_text_time_set)
    __swig_setmethods__["prop_time"] = _client.svn_info_t_prop_time_set
    __swig_getmethods__["prop_time"] = _client.svn_info_t_prop_time_get
    if _newclass:prop_time = property(_client.svn_info_t_prop_time_get, _client.svn_info_t_prop_time_set)
    __swig_setmethods__["checksum"] = _client.svn_info_t_checksum_set
    __swig_getmethods__["checksum"] = _client.svn_info_t_checksum_get
    if _newclass:checksum = property(_client.svn_info_t_checksum_get, _client.svn_info_t_checksum_set)
    __swig_setmethods__["conflict_old"] = _client.svn_info_t_conflict_old_set
    __swig_getmethods__["conflict_old"] = _client.svn_info_t_conflict_old_get
    if _newclass:conflict_old = property(_client.svn_info_t_conflict_old_get, _client.svn_info_t_conflict_old_set)
    __swig_setmethods__["conflict_new"] = _client.svn_info_t_conflict_new_set
    __swig_getmethods__["conflict_new"] = _client.svn_info_t_conflict_new_get
    if _newclass:conflict_new = property(_client.svn_info_t_conflict_new_get, _client.svn_info_t_conflict_new_set)
    __swig_setmethods__["conflict_wrk"] = _client.svn_info_t_conflict_wrk_set
    __swig_getmethods__["conflict_wrk"] = _client.svn_info_t_conflict_wrk_get
    if _newclass:conflict_wrk = property(_client.svn_info_t_conflict_wrk_get, _client.svn_info_t_conflict_wrk_set)
    __swig_setmethods__["prejfile"] = _client.svn_info_t_prejfile_set
    __swig_getmethods__["prejfile"] = _client.svn_info_t_prejfile_get
    if _newclass:prejfile = property(_client.svn_info_t_prejfile_get, _client.svn_info_t_prejfile_set)
    def __init__(self, *args):
        _swig_setattr(self, svn_info_t, 'this', _client.new_svn_info_t(*args))
        _swig_setattr(self, svn_info_t, 'thisown', 1)
    def __del__(self, destroy=_client.delete_svn_info_t):
        try:
            if self.thisown: destroy(self)
        except: pass


class svn_info_tPtr(svn_info_t):
    def __init__(self, this):
        _swig_setattr(self, svn_info_t, 'this', this)
        if not hasattr(self,"thisown"): _swig_setattr(self, svn_info_t, 'thisown', 0)
        _swig_setattr(self, svn_info_t,self.__class__,svn_info_t)
_client.svn_info_t_swigregister(svn_info_tPtr)


svn_client_info = _client.svn_client_info

svn_client_url_from_path = _client.svn_client_url_from_path

svn_client_uuid_from_url = _client.svn_client_uuid_from_url

svn_client_uuid_from_path = _client.svn_client_uuid_from_path

